RK-A2 - Feature #3646

Task # 3653 (Closed): Launch with first chapter support - Phase 1 - Practice for Decent Learners (Top 5 Themes, No DetailedQNAs, No Detailed
Answers)

Become conservative with statements about answers
07/03/2024 02:11 AM - Ram Kordale

Status: Closed Start date: 07/03/2024
Priority: High Due date:

Assignee: Ayanava Karmakar % Done: 100%
Category: Estimated time: 0.50 hour
Target version: Spent time: 0.00 hour
Description

For questions like the first question in exercise 2.1, adding "(Write in n1; n2; n3 format)" to the question and enforcing it can make it
easy for us to check the answer precisely. however, kids may not understand the significance of writing in n1; n2; n3 format. so, they
may still write either n1;n2;n3 or n1,n2,n3 or n1 n2 n3 or n1, n2 and n3 etc.

Given that there are many questions like this where the answers will need a lot more processing to determine correctness precisely,
let us make the following changes:

(i) Always, show "Here's an answer: <Answer>" after user has provided the answer.[We will make this more intelligent later by
checking if answer is expected to be unique or whether users can answer differently as in the above example.]
(il) Whether the user's answer is correct or not, we should provide the option of detailedQNAs and detailedAnswer if they exist.

History

#1 - 07/03/2024 04:17 AM - Ram Kordale

- Description updated

#2 - 07/03/2024 05:39 AM - Ayanava Karmakar
- Estimated time set to 0.50 h

#3 - 07/04/2024 02:33 AM - Ram Kordale

- Description updated

#4 - 07/04/2024 02:45 AM - Ram Kordale
- Subject changed from Become conservative with answers to Become conservative with statements about answers

- Description updated

#5 - 07/04/2024 07:21 AM - Ram Kordale
- Parent task set to #3650

#6 - 07/05/2024 09:24 AM - Ram Kordale
- Parent task deleted (#3650)

#7 - 07/05/2024 12:48 PM - Ram Kordale

- Assignee set to Dewakar Chaubey

#8 - 07/06/2024 12:36 PM - Ram Kordale
- Parent task set to #3653

#9 - 07/07/2024 09:37 AM - Dewakar Chaubey

- Status changed from New to In Progress

#10 - 07/07/2024 02:29 PM - Dewakar Chaubey
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100
#11 - 07/07/2024 02:29 PM - Dewakar Chaubey

- Status changed from Resolved to Review

#12 - 07/07/2024 02:29 PM - Dewakar Chaubey
- Assignee changed from Dewakar Chaubey to Shubham Boke

#13 - 07/11/2024 05:55 AM - Ayanava Karmakar

- Assignee changed from Shubham Boke to Ayanava Karmakar

#14 - 07/11/2024 11:20 AM - Ayanava Karmakar

- Status changed from Review to Feedback

#15 - 07/11/2024 11:20 AM - Ayanava Karmakar

- Status changed from Feedback to Resolved

#16 - 09/25/2024 08:39 AM - Ram Kordale

- Status changed from Resolved to Closed
